"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = getReactPreset;

function getReactPresetOptions() {
  return {
    runtime: 'classic',
    // change it to 'automatic', when react version updated to 18.
    useSpread: true
  };
}

function getReactPreset({
  disableES5Transpile
}) {
  const reactPreset = require.resolve('@babel/preset-react');

  return disableES5Transpile ? [reactPreset, getReactPresetOptions()] : reactPreset;
}