"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _utils = require("../utils");

var _babelPresetReactOption = _interopRequireDefault(require("./babel-option-utils/babel-preset-react-option"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

let {
  module: {
    mode
  }
} = (0, _utils.getOptions)();
let isProd = mode.toLowerCase() === 'prod';

var _default = () => ({
  presets: [require.resolve('@babel/preset-env'), (0, _babelPresetReactOption.default)({
    disableES5Transpile: false
  })],
  plugins: [[require.resolve('babel-plugin-transform-define'), isProd ? {
    __DOCS__: false
  } : {}]]
});

exports.default = _default;