"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.windowsModification = windowsModification;
exports.windowsModificationFile = windowsModificationFile;
const isWin = process.platform === 'win32';

function windowsModification(array) {
  return isWin ? array && Array.isArray(array) && array.map(r => r.replace(/\//g, '\\')) : array;
}

function windowsModificationFile(filename) {
  return isWin ? filename.replace(/\//g, '\\') : filename;
} // module.exports = { windowsModification, windowsModificationFile };